NMToken (Axis API)
Keywords: org.apache.axis.types.NMToken,NMToken class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class NMToken

    java.lang.Object
      |
      +--org.apache.axis.types.NormalizedString
            |
            +--org.apache.axis.types.Token
                  |
                  +--org.apache.axis.types.NMToken

All Implemented Interfaces:
  java.io.Serializable

public class NMToken
extends Token

Custom class for supporting XSD data type NMToken NMTOKEN represents the NMTOKEN attribute type from [XML 1.0(Second Edition)]. The value space of NMTOKEN is the set of tokens that match the Nmtoken production in [XML 1.0 (Second Edition)]. The base type of NMTOKEN is token.

Author:
  Chris Haddad
See Also:
  XML Schema 3.3.4, Serialized Form

Constructor Summary
`NMToken()`
`NMToken(java.lang.String stValue)` ctor for NMToken

Method Summary
`boolean` | `isValid(java.lang.String stValue)` validate the value against the xsd definition Nmtoken ::= (NameChar)+ NameChar ::= Letter | Digit | '.' | '-' | '_' | ':' | CombiningChar | Extender

Methods inherited from class org.apache.axis.types.NormalizedString
`equals, hashCode, setValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NMToken

    public NMToken()

### NMToken

    public NMToken(java.lang.String stValue)
            throws java.lang.IllegalArgumentException

  ctor for NMToken

Throws:
  `java.lang.IllegalArgumentException` - will be thrown if validation fails

Method Detail

### isValid

    public boolean isValid(java.lang.String stValue)

  validate the value against the xsd definition Nmtoken ::= (NameChar)+ NameChar ::= Letter | Digit | '.' | '-' | '_' | ':' | CombiningChar | Extender

  Overrides:
    `isValid` in class `Token`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.